# no debug for now
%global debug_package %{nil}

%define rev git20201212

%define rel 1

Name: aufs-tools
Version: 5.8
Release: %mkrel -c %{rev} %{rel}

Group: System/Base
Summary: Tools to manage aufs filesystems
License: GPLv2+
Url: http://aufs.sourceforge.net

# git clone git://git.code.sf.net/p/aufs/aufs-util aufs-util
# cd aufs-util
# git checkout aufs5.x-rcN
# git archive HEAD --prefix=aufs-util/ | xz > ../SOURCES/aufs-tools-%{version}-%{rev}.tar.xz
Source0: %{name}-%{version}-%{rev}.tar.xz
Patch0:  %{name}-3.14-deb-static.patch
Patch1:  %{name}-3.14-deb-manpage.patch
#Patch2:  aufs-util-fix-version-check.patch
BuildRequires: kernel-userspace-headers >= 4.9.0-1

%description
These utilities are always necessary for aufs.
The aufs driver provides a unification file system for the Linux kernel. It
allows one to virtually merge the contents of several directories and/or stack
them, so that apparent file changes in the aufs end in file changes in only one
of the source directories.
This package contains utilities needed to configure aufs containers on-the-fly.

%prep
%setup -q -n aufs-util
%patch0 -p1
%patch1 -p1
#patch2 -p1

sed -i 's|-o root -g root||g' Makefile
sed -i '/install_ulib: Tgt/ s,/usr/lib,%{_libdir},' fhsm/Makefile
sed -i '/install_ulib: Tgt/ s,/usr/lib,%{_libdir},' libau/Makefile
sed -i '/install_sbin: Tgt/ s,/sbin,%{_sbindir},' Makefile
sed -i 's|/sbin|%{_sbindir}|g' README aufs.in.5 aubrsync
sed -i 's|sudo ||g' aufs.in.5 aubrsync aufs.shlib
make clean

%build
%setup_compile_flags
%make LibAuDir=%{_libdir}

%install
%makeinstall DESTDIR=%{buildroot} LibAuDir=%{_libdir}

%files
%doc README
%config(noreplace) %{_sysconfdir}/default/aufs
%{_bindir}/*
%{_libdir}/*
%{_sbindir}/*
%{_mandir}/man*/*.*


%changelog
* Fri Jan 15 2021 tmb <tmb> 5.8-0.git20201212.1.mga7
+ Revision: 1671882
- update to 5.8
- update to 5.0-git20200413

* Mon Jun 18 2018 wally <wally> 4.14-0.git20170918.2.mga7
+ Revision: 1237847
- build using our compile flags
+ tmb <tmb>
- update to 4.14

* Sun Jan 15 2017 tmb <tmb> 4.9-0.git20161216.1.mga6
+ Revision: 1081929
- update to 20161216

* Sat Dec 31 2016 tmb <tmb> 4.9-0.git20161010.1.mga6
+ Revision: 1078795
- rebuild for kernel 4.9 series

* Sun Oct 30 2016 tmb <tmb> 4.8-0.git20161010.1.mga6
+ Revision: 1064220
- update to 4.8-git20161010

* Wed Jul 06 2016 tmb <tmb> 4.7-0.git20160321.1.mga6
+ Revision: 1039201
- fix version check for kernel 4.7

* Wed Jun 01 2016 tmb <tmb> 4.6-0.git20160321.1.mga6
+ Revision: 1019771
- update to 20160321 snaphot and build for kernel 4.6

* Thu Mar 03 2016 tmb <tmb> 4.4-0.git20160301.1.mga6
+ Revision: 984825
- fix aufs version check
- fix git branch name
+ tv <tv>
- new snapshot
- explain how to update the snapshot
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 tmb <tmb> 4.0-0.git20151005.1.mga6
+ Revision: 894662
- update to 4.0 branch, checkout 20151005

* Mon Feb 23 2015 tmb <tmb> 3.14-0.git20150126.1.mga5
+ Revision: 816610
- update to aufs3.14 brach (supports kernels up to 3.19)

* Sat Jan 03 2015 alexl <alexl> 3.2-0.git20130722.1.mga5
+ Revision: 808331
- imported package aufs-tools

